Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.notifications
Class NotificationCriteria

    java.lang.Object
      com.bea.netuix.application.notifications.NotificationCriteria

All Implemented Interfaces
  SearchCriteria, Serializable

    public class NotificationCriteria

extends Object
implements SearchCriteria

The NotificationCriteria object is used to specify notification attributes used to find specific Notification instances in the NotificationManager EJB's administrative methods. To use this object, construct a new instance, and call any of the `set...` methods to specify constraints on the notification search. Only constraints set using a `set...` method will be used during the search. All specified constraints are used in conjunction (AND rather than OR).

For example, to specify a notification search criteria to find all notifications sent to user "Alice" from the web application "Wonderland", the following would work:

     NotificationCriteria criteria = new NotificationCriteria();
     criteria.setUsername("Alice");
     criteria.setSourceWebAppName("Wonderland");

See Also
  Serialized Form

Field Summary
`static String` | `ORDER_BY_ACTIVE` Constant used to indicate the field used to order query results- used in the orderBy() method.
`static String` | `ORDER_BY_CONSUMED` Constant used to indicate the field used to order query results- used in the orderBy() method.
`static String` | `ORDER_BY_EXPIRATION_DATE` Constant used to indicate the field used to order query results- used in the orderBy() method.
`static String` | `ORDER_BY_NAME` Constant used to indicate the field used to order query results- used in the orderBy() method.
`static String` | `ORDER_BY_NAMESPACE` Constant used to indicate the field used to order query results- used in the orderBy() method.
`static String` | `ORDER_BY_SELF_DESTRUCT` Constant used to indicate the field used to order query results- used in the orderBy() method.
`static String` | `ORDER_BY_SOURCE_DESKTOP_INSTANCE_TITLE` Constant used to indicate the field used to order query results- used in the orderBy() method.
`static String` | `ORDER_BY_SOURCE_DESKTOP_PATH` Constant used to indicate the field used to order query results- used in the orderBy() method.
`static String` | `ORDER_BY_SOURCE_PORTAL_PATH` Constant used to indicate the field used to order query results- used in the orderBy() method.
`static String` | `ORDER_BY_SOURCE_PORTLET_DEFINITION_LABEL` Constant used to indicate the field used to order query results- used in the orderBy() method.
`static String` | `ORDER_BY_SOURCE_PORTLET_INSTANCE_LABEL` Constant used to indicate the field used to order query results- used in the orderBy() method.
`static String` | `ORDER_BY_SOURCE_WEBAPP_NAME` Constant used to indicate the field used to order query results- used in the orderBy() method.
`static String` | `ORDER_BY_TARGET_WEBAPP_NAME` Constant used to indicate the field used to order query results- used in the orderBy() method.
`static String` | `ORDER_BY_USERNAME` Constant used to indicate the field used to order query results- used in the orderBy() method.

Constructor Summary
`NotificationCriteria()` Constructor for a NotificationCriteria object which creates a unconstrained search criteria-- by default, all criteria are not used during a search, and all Notifications will be selected.

Method Summary
`Object` | `clone()`
`NotificationCriteria` | `copy()`
`boolean` | `getActiveCriteria()` Retrieves the active status criteria for the search.
`boolean` | `getConsumedCriteria()` Retrieves the consumed status criteria for the search.
`Date` | `getExpiresAfterCriteria()` Retrieves the time a notification expires after criteria for the search.
`Date` | `getExpiresBeforeCriteria()` Retrieves the time a notification expires before criteria for the search.
`String` | `getNameCriteria()` Retrieves the name criteria for the search.
`String` | `getNamespaceCriteria()` Retrieves the namespace criteria for the search.
`NotificationPayloadId` | `getPayloadIdCriteria()` Retrieves the payload ID criteria for the search.
`boolean` | `getSelfDestructCriteria()` Retrieves the self destruct status criteria for the search.
`String` | `getSortOrderField()` Returns one of the ORDER_BY_ constants indicating what field results should be sorted by, or `null` if no sort order has been specified.
`String` | `getSourceDesktopInstanceTitleCriteria()` Retrieves the source desktop instance title criteria for the search.
`String` | `getSourceDesktopPathCriteria()` Retrieves the source desktop path criteria for the search.
`String` | `getSourcePortalPathCriteria()` Retrieves the source portal path criteria for the search.
`String` | `getSourcePortletDefinitionLabelCriteria()` Retrieves the source portlet definition label criteria for the search.
`String` | `getSourcePortletInstanceLabelCriteria()` Retrieves the source portlet instance label criteria for the search.
`String` | `getSourceWebAppNameCriteria()` Retrieves the source webapp name criteria for the search.
`String` | `getTargetWebAppNameCriteria()` Retrieves the target webapp name criteria for the search.
`String` | `getUsernameCriteria()` Retrieves the username criteria for the search.
`boolean` | `isActiveCriteria()` Determines if active status is a criteria for the search.
`boolean` | `isConsumedCriteria()` Determines if consumed status is a criteria for the search.
`boolean` | `isExpiresAfterCriteria()` Determines if the time a notification expires after is a criteria for the search.
`boolean` | `isExpiresBeforeCriteria()` Determines if the time a notification expires before is a criteria for the search.
`boolean` | `isNameCriteria()` Determines if name is a criteria for the search.
`boolean` | `isNamespaceCriteria()` Determines if namespace is a criteria for the search.
`boolean` | `isPayloadIdCriteria()` Determines if the payload ID is a criteria for the search.
`boolean` | `isSelfDestructCriteria()` Determines if self destruct status is a criteria for the search.
`boolean` | `isSortOrderAscending()` Returns `true` if the sort order for results is ascending, `false` if the sort order is descending.
`boolean` | `isSourceDesktopInstanceTitleCriteria()` Determines if source desktop instance title is a criteria for the search.
`boolean` | `isSourceDesktopPathCriteria()` Determines if source desktop path is a criteria for the search.
`boolean` | `isSourcePortalPathCriteria()` Determines if source portal path is a criteria for the search.
`boolean` | `isSourcePortletDefinitionLabelCriteria()` Determines if source portlet definition label is a criteria for the search.
`boolean` | `isSourcePortletInstanceLabelCriteria()` Determines if source portlet instance label is a criteria for the search.
`boolean` | `isSourceWebAppNameCriteria()` Determines if source webapp name is a criteria for the search.
`boolean` | `isTargetWebAppNameCriteria()` Determines if target webapp name is a criteria for the search.
`boolean` | `isUsernameCriteria()` Determines if username is a criteria for the search.
`void` | `orderBy(String field, boolean ascending)` Used to specify the order for results to be returned.
`void` | `setActive(boolean active)` Specifies the active status a Notification must match to be included.
`void` | `setConsumed(boolean consumed)` Specifies the consumed status a Notification must match to be included.
`void` | `setExpiresAfter(Date expiresAfter)` Specifies the expiration date a Notification must expire after to be included.
`void` | `setExpiresBefore(Date expiresBefore)` Specifies the expiration date a Notification must expire before to be included.
`void` | `setName(String name)` Specifies the name a Notification must match to be included.
`void` | `setNamespace(String namespace)` Specifies the namespace a Notification must match to be included.
`void` | `setPayloadId(NotificationPayloadId payloadId)` Specifies the payload ID a Notification must match to be included.
`void` | `setSelfDestruct(boolean selfDestruct)` Specifies the self destruct status a Notification must match to be included.
`void` | `setSourceDesktopInstanceTitle(String sourceDesktopInstanceTitle)` Specifies the source desktop instance title a Notification must match to be included.
`void` | `setSourceDesktopPath(String sourceDesktopPath)` Specifies the source desktop path a Notification must match to be included.
`void` | `setSourcePortalPath(String sourcePortalPath)` Specifies the source portal path a Notification must match to be included.
`void` | `setSourcePortletDefinitionLabel(String sourcePortletDefinitionLabel)` Specifies the source portlet definition label a Notification must match to be included.
`void` | `setSourcePortletInstanceLabel(String sourcePortletInstanceLabel)` Specifies the source portlet instance label a Notification must match to be included.
`void` | `setSourceWebAppName(String sourceWebAppName)` Specifies the source webapp name a Notification must match to be included.
`void` | `setTargetWebAppName(String targetWebAppName)` Specifies the target webapp name a Notification must match to be included.
`void` | `setUsername(String username)` Specifies the username a Notification must match to be included.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ORDER_BY_USERNAME

    public static final String ORDER_BY_USERNAME

  Constant used to indicate the field used to order query results- used in the orderBy() method. The query results can only be ordered by username if the query returns a Notification or notification recipient; NotificationPayloads cannot be ordered by username.

  See Also
    Constants Summary

### ORDER_BY_CONSUMED

    public static final String ORDER_BY_CONSUMED

  Constant used to indicate the field used to order query results- used in the orderBy() method. The query results can only be ordered by consumed status if the query returns a Notification; NotificationPayloads and notification recipients cannot be ordered by consumed status.

  See Also
    Constants Summary

### ORDER_BY_NAMESPACE

    public static final String ORDER_BY_NAMESPACE

  Constant used to indicate the field used to order query results- used in the orderBy() method. The query results can only be ordered by this constant if the query returns Notification or NotificationPayload objects; notification recipients may not be ordered by this field.

  See Also
    Constants Summary

### ORDER_BY_NAME

    public static final String ORDER_BY_NAME

  Constant used to indicate the field used to order query results- used in the orderBy() method. The query results can only be ordered by this constant if the query returns Notification or NotificationPayload objects; notification recipients may not be ordered by this field.

  See Also
    Constants Summary

### ORDER_BY_TARGET_WEBAPP_NAME

    public static final String ORDER_BY_TARGET_WEBAPP_NAME

  Constant used to indicate the field used to order query results- used in the orderBy() method. The query results can only be ordered by this constant if the query returns Notification or NotificationPayload objects; notification recipients may not be ordered by this field.

  See Also
    Constants Summary

### ORDER_BY_SOURCE_WEBAPP_NAME

    public static final String ORDER_BY_SOURCE_WEBAPP_NAME

  Constant used to indicate the field used to order query results- used in the orderBy() method. The query results can only be ordered by this constant if the query returns Notification or NotificationPayload objects; notification recipients may not be ordered by this field.

  See Also
    Constants Summary

### ORDER_BY_SOURCE_PORTAL_PATH

    public static final String ORDER_BY_SOURCE_PORTAL_PATH

  Constant used to indicate the field used to order query results- used in the orderBy() method. The query results can only be ordered by this constant if the query returns Notification or NotificationPayload objects; notification recipients may not be ordered by this field.

  See Also
    Constants Summary

### ORDER_BY_SOURCE_DESKTOP_PATH

    public static final String ORDER_BY_SOURCE_DESKTOP_PATH

  Constant used to indicate the field used to order query results- used in the orderBy() method. The query results can only be ordered by this constant if the query returns Notification or NotificationPayload objects; notification recipients may not be ordered by this field.

  See Also
    Constants Summary

### ORDER_BY_SOURCE_DESKTOP_INSTANCE_TITLE

    public static final String ORDER_BY_SOURCE_DESKTOP_INSTANCE_TITLE

  Constant used to indicate the field used to order query results- used in the orderBy() method. The query results can only be ordered by this constant if the query returns Notification or NotificationPayload objects; notification recipients may not be ordered by this field.

  See Also
    Constants Summary

### ORDER_BY_SOURCE_PORTLET_DEFINITION_LABEL

    public static final String ORDER_BY_SOURCE_PORTLET_DEFINITION_LABEL

  Constant used to indicate the field used to order query results- used in the orderBy() method. The query results can only be ordered by this constant if the query returns Notification or NotificationPayload objects; notification recipients may not be ordered by this field.

  See Also
    Constants Summary

### ORDER_BY_SOURCE_PORTLET_INSTANCE_LABEL

    public static final String ORDER_BY_SOURCE_PORTLET_INSTANCE_LABEL

  Constant used to indicate the field used to order query results- used in the orderBy() method. The query results can only be ordered by this constant if the query returns Notification or NotificationPayload objects; notification recipients may not be ordered by this field.

  See Also
    Constants Summary

### ORDER_BY_SELF_DESTRUCT

    public static final String ORDER_BY_SELF_DESTRUCT

  Constant used to indicate the field used to order query results- used in the orderBy() method. The query results can only be ordered by this constant if the query returns Notification or NotificationPayload objects; notification recipients may not be ordered by this field.

  See Also
    Constants Summary

### ORDER_BY_ACTIVE

    public static final String ORDER_BY_ACTIVE

  Constant used to indicate the field used to order query results- used in the orderBy() method. The query results can only be ordered by this constant if the query returns Notification or NotificationPayload objects; notification recipients may not be ordered by this field.

  See Also
    Constants Summary

### ORDER_BY_EXPIRATION_DATE

    public static final String ORDER_BY_EXPIRATION_DATE

  Constant used to indicate the field used to order query results- used in the orderBy() method. The query results can only be ordered by this constant if the query returns Notification or NotificationPayload objects; notification recipients may not be ordered by this field.

  See Also
    Constants Summary

Constructor Detail

### NotificationCriteria

    public NotificationCriteria()

  Constructor for a NotificationCriteria object which creates a unconstrained search criteria-- by default, all criteria are not used during a search, and all Notifications will be selected. To narrow the search, call the appropriate set... methods to specify what criteria should be used. Unless a set... method is called to specify a criteria, the criteria is NOT used in the search.

Method Detail

### orderBy

    public void orderBy(String field,
                        boolean ascending)

  Used to specify the order for results to be returned. Results may only be ordered by a single field; multiple calls to this method will serve only to reset the field being ordered by.

  Parameters
    `field` - one of the ORDER_BY_ constants indicating which field to order results by, or `null` if no sorting is to be used.
    `ascending` - if `true`, results will be ordered in an ascending manner, otherwise they will be ordered in a descending manner.
  Throws
    `IllegalArgumentException` - if the `field` argument is not one of the ORDER_BY_ constants or `null`.

### getSortOrderField

    public String getSortOrderField()

  Returns one of the ORDER_BY_ constants indicating what field results should be sorted by, or `null` if no sort order has been specified.

  Returns
    one of the ORDER_BY_ constants indicating which field results should be sorted by, or `null` if no sort order has been specified.

### isSortOrderAscending

    public boolean isSortOrderAscending()

  Returns `true` if the sort order for results is ascending, `false` if the sort order is descending. Sorting is done only if the `getSortOrderField()` method does not return null.

  Returns
    `true` if the sort order for results is ascending, `false` if the sort order is descending.

### setUsername

    public void setUsername(String username)

  Specifies the username a Notification must match to be included. If this method is not called, or if `null` is used as the argument, username is not used as a criteria for selecting notifications.

  Parameters
    `username` - the username notifications must match to be included. If null, username is not used as a criteria for selection.

### setConsumed

    public void setConsumed(boolean consumed)

  Specifies the consumed status a Notification must match to be included. If this method is not called, consumed status is not used as a criteria for selecting notifications. Please note that once this method is called, consumed status will be used as a criteria for notification selection-- there is no way to un-set this without creating a new NotificationCriteria object.

  Parameters
    `consumed` - if `true`, only notifications which have been consumed will be included; if `false`, only notifications which have not been consumed will be included.

### setNamespace

    public void setNamespace(String namespace)

  Specifies the namespace a Notification must match to be included. If this method is not called, or if `null` is used as the argument, namespace is not used as a criteria for selecting notifications.

  Parameters
    `namespace` - the namespace notifications must match to be included. If null, namespace is not used as a criteria for selection.

### setName

    public void setName(String name)

  Specifies the name a Notification must match to be included. If this method is not called, or if `null` is used as the argument, name is not used as a criteria for selecting notifications.

  Parameters
    `name` - the name notifications must match to be included. If null, name is not used as a criteria for selection.

### setTargetWebAppName

    public void setTargetWebAppName(String targetWebAppName)

  Specifies the target webapp name a Notification must match to be included. If this method is not called, the target webapp name is not used as a criteria for selecting notifications. Please note that once this method is called, target webapp name will be used as a criteria for notification selection-- there is no way to un-set this without creating a new NotificationCriteria object.

  Parameters
    `targetWebAppName` - the target webapp name notifications must match to be included. If null, only notifications targetted globally [target webapp name == null] will be included.

### setSourceWebAppName

    public void setSourceWebAppName(String sourceWebAppName)

  Specifies the source webapp name a Notification must match to be included. If this method is not called, or if `null` is used as the argument, source webapp name is not used as a criteria for selecting notifications.

  Parameters
    `sourceWebAppName` - the source webapp name notifications must match to be included. If null, source webapp name is not used as a criteria for selection.

### setSourcePortalPath

    public void setSourcePortalPath(String sourcePortalPath)

  Specifies the source portal path a Notification must match to be included. If this method is not called, the source portal path is not used as a criteria for selecting notifications. Please note that once this method is called, source portal path will be used as a criteria for notification selection-- there is no way to un-set this without creating a new NotificationCriteria object.

  Parameters
    `sourcePortalPath` - the source portal path notifications must match to be included. If null, source portal path must be null for notifications to be included.

### setSourceDesktopPath

    public void setSourceDesktopPath(String sourceDesktopPath)

  Specifies the source desktop path a Notification must match to be included. If this method is not called, the source desktop path is not used as a criteria for selecting notifications. Please note that once this method is called, source desktop path will be used as a criteria for notification selection-- there is no way to un-set this without creating a new NotificationCriteria object.

  Parameters
    `sourceDesktopPath` - the source desktop path notifications must match to be included. If null, source desktop path must be null for notifications to be included.

### setSourceDesktopInstanceTitle

    public void setSourceDesktopInstanceTitle(String sourceDesktopInstanceTitle)

  Specifies the source desktop instance title a Notification must match to be included. If this method is not called, the source desktop instance title is not used as a criteria for selecting notifications. Please note that once this method is called, source desktop instance title will be used as a criteria for notification selection-- there is no way to un-set this without creating a new NotificationCriteria object.

  Parameters
    `sourceDesktopInstanceTitle` - the source desktop instance title notifications must match to be included. If null, source desktop instance must be null for notifications to be included.

### setSourcePortletDefinitionLabel

    public void setSourcePortletDefinitionLabel(String sourcePortletDefinitionLabel)

  Specifies the source portlet definition label a Notification must match to be included. If this method is not called, the source portlet definition label is not used as a criteria for selecting notifications. Please note that once this method is called, source portlet definition label will be used as a criteria for notification selection-- there is no way to un-set this without creating a new NotificationCriteria object.

  Parameters
    `sourcePortletDefinitionLabel` - the source portlet definition label notifications must match to be included. If null, source portlet definition label must be null for notifications to be included.

### setSourcePortletInstanceLabel

    public void setSourcePortletInstanceLabel(String sourcePortletInstanceLabel)

  Specifies the source portlet instance label a Notification must match to be included. If this method is not called, the source portlet instance label is not used as a criteria for selecting notifications. Please note that once this method is called, source portlet instance label will be used as a criteria for notification selection-- there is no way to un-set this without creating a new NotificationCriteria object.

  Parameters
    `sourcePortletInstanceLabel` - the source portlet instance label notifications must match to be included. If null, source portlet instance label must be null for notifications to be included.

### setSelfDestruct

    public void setSelfDestruct(boolean selfDestruct)

  Specifies the self destruct status a Notification must match to be included. If this method is not called, self destruct status is not used as a criteria for selecting notifications. Please note that once this method is called, self destruct status will be used as a criteria for notification selection-- there is no way to un-set this without creating a new NotificationCriteria object.

  Parameters
    `selfDestruct` - if `true`, only notifications which are self-destructing will be included; if `false`, only notifications which are not self-destructing will be included.

### setActive

    public void setActive(boolean active)

  Specifies the active status a Notification must match to be included. If this method is not called, active status is not used as a criteria for selecting notifications. Please note that once this method is called, active status will be used as a criteria for notification selection-- there is no way to un-set this without creating a new NotificationCriteria object.

  The active flag on a NotificationPayload object is lazily set by the framework, and is not guaranteed to be correct. The flag is set to `false` after a non-self-destructing notification payload expires if certain operations happen on the payload. It is used by the framework primarily as a performance enhancement and should probably not be relied upon as a notification criteria when performing searches. For a more accurate determination of whether a payload has expired, use the `setExpiresBefore()` method.

  Parameters
    `active` - if `true`, only notifications which are marked active will be included; if `false`, only notifications which are marked inactive will be included.

### setExpiresBefore

    public void setExpiresBefore(Date expiresBefore)

  Specifies the expiration date a Notification must expire before to be included. If this method is not called, or if a null argument is provided, expiration date is not used as a criteria for selecting notifications UNLESS if the setExpirationAfter() method is called.

  Parameters
    `expiresBefore` - a time notifications must expire before to be included. If null, notifications are included regardless of when they expire UNLESS the setExpirationAfter() method is called.

### setExpiresAfter

    public void setExpiresAfter(Date expiresAfter)

  Specifies the expiration date a Notification must expire after to be included. If this method is not called, or if a null argument is provided, expiration date is not used as a criteria for selecting notifications UNLESS if the setExpirationBefore() method is called.

  Parameters
    `expiresAfter` - a time notifications must expire after to be included. If null, notifications are included regardless of when they expire UNLESS the setExpirationBefore() method is called.

### setPayloadId

    public void setPayloadId(NotificationPayloadId payloadId)

  Specifies the payload ID a Notification must match to be included. If this method is not called, or if `null` is used as the argument, payload ID is not used as a criteria for selecting notifications.

  Parameters
    `payloadId` - the name notifications must match to be included. If null, payload ID is not used as a criteria for selection.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  Returns
    a String representation of this NotificationCriteria object.

### isUsernameCriteria

    public boolean isUsernameCriteria()

  Determines if username is a criteria for the search.

  Returns
    `true` if username is a criteria to be used, `false` if not.

### getUsernameCriteria

    public String getUsernameCriteria()

  Retrieves the username criteria for the search.

  Returns
    the username criteria for the search, or `null` if username is not a criteria in the search.

### isConsumedCriteria

    public boolean isConsumedCriteria()

  Determines if consumed status is a criteria for the search.

  Returns
    `true` if consumed status is a criteria to be used, `false` if not.

### getConsumedCriteria

    public boolean getConsumedCriteria()

  Retrieves the consumed status criteria for the search. Note that it is not possible to determine from this method whether the consumed status is a criteria to be used; the isConsumedCriteria() method can be used for that.

  Returns
    the consumed status criteria for the search. If the consumed status is not a criteria in the search, `false` is returned. To determine whether the consumed status is a criteria for the search, use the isConsumedCriteria() method.

### isNamespaceCriteria

    public boolean isNamespaceCriteria()

  Determines if namespace is a criteria for the search.

  Returns
    `true` if namespace is a criteria to be used, `false` if not.

### getNamespaceCriteria

    public String getNamespaceCriteria()

  Retrieves the namespace criteria for the search.

  Returns
    the namespace criteria for the search, or `null` if namespace is not a criteria in the search.

### isNameCriteria

    public boolean isNameCriteria()

  Determines if name is a criteria for the search.

  Returns
    `true` if name is a criteria to be used, `false` if not.

### getNameCriteria

    public String getNameCriteria()

  Retrieves the name criteria for the search.

  Returns
    the name criteria for the search, or `null` if name is not a criteria in the search.

### isTargetWebAppNameCriteria

    public boolean isTargetWebAppNameCriteria()

  Determines if target webapp name is a criteria for the search.

  Returns
    `true` if target webapp name is a criteria to be used, `false` if not.

### getTargetWebAppNameCriteria

    public String getTargetWebAppNameCriteria()

  Retrieves the target webapp name criteria for the search. Note that it is not possible to determine from this method whether the target webapp name is a criteria to be used; the isTargetWebAppNameCriteria() method can be used for that.

  Returns
    the target webapp name criteria for the search. If the target webapp name is not a criteria in the search, `null` is returned. To determine whether the target webapp name is a criteria for the search, use the isTargetWebAppNameCriteria() method.

### isSourceWebAppNameCriteria

    public boolean isSourceWebAppNameCriteria()

  Determines if source webapp name is a criteria for the search.

  Returns
    `true` if source webapp name is a criteria to be used, `false` if not.

### getSourceWebAppNameCriteria

    public String getSourceWebAppNameCriteria()

  Retrieves the source webapp name criteria for the search.

  Returns
    the source webapp name criteria for the search, or `null` if source webapp name is not a criteria in the search.

### isSourcePortalPathCriteria

    public boolean isSourcePortalPathCriteria()

  Determines if source portal path is a criteria for the search.

  Returns
    `true` if source portal path is a criteria to be used, `false` if not.

### getSourcePortalPathCriteria

    public String getSourcePortalPathCriteria()

  Retrieves the source portal path criteria for the search. Note that it is not possible to determine from this method whether the source portal path is a criteria to be used; the isSourcePortalPathCriteria() method can be used for that.

  Returns
    the source portal path criteria for the search. If the source portal path is not a criteria in the search, `null` is returned. To determine whether the source portal path is a criteria for the search, use the isSourcePortalPathCriteria() method.

### isSourceDesktopPathCriteria

    public boolean isSourceDesktopPathCriteria()

  Determines if source desktop path is a criteria for the search.

  Returns
    `true` if source desktop path is a criteria to be used, `false` if not.

### getSourceDesktopPathCriteria

    public String getSourceDesktopPathCriteria()

  Retrieves the source desktop path criteria for the search. Note that it is not possible to determine from this method whether the source desktop path is a criteria to be used; the isSourceDesktopPathCriteria() method can be used for that.

  Returns
    the source desktop path criteria for the search. If the source desktop path is not a criteria in the search, `null` is returned. To determine whether the source desktop path is a criteria for the search, use the isSourceDesktopPathCriteria() method.

### isSourceDesktopInstanceTitleCriteria

    public boolean isSourceDesktopInstanceTitleCriteria()

  Determines if source desktop instance title is a criteria for the search.

  Returns
    `true` if source desktop instance title is a criteria to be used, `false` if not.

### getSourceDesktopInstanceTitleCriteria

    public String getSourceDesktopInstanceTitleCriteria()

  Retrieves the source desktop instance title criteria for the search. Note that it is not possible to determine from this method whether the source desktop instance title is a criteria to be used; the isSourceDesktopInstanceTitleCriteria() method can be used for that.

  Returns
    the source desktop instance title criteria for the search. If the source desktop instance title is not a criteria in the search, `null` is returned. To determine whether the source desktop instance title is a criteria for the search, use the isSourceDesktopInstanceTitleCriteria() method.

### isSourcePortletDefinitionLabelCriteria

    public boolean isSourcePortletDefinitionLabelCriteria()

  Determines if source portlet definition label is a criteria for the search.

  Returns
    `true` if source portlet definition label is a criteria to be used, `false` if not.

### getSourcePortletDefinitionLabelCriteria

    public String getSourcePortletDefinitionLabelCriteria()

  Retrieves the source portlet definition label criteria for the search. Note that it is not possible to determine from this method whether the source portlet definition label is a criteria to be used; the isSourcePortletDefinitionLabelCriteria() method can be used for that.

  Returns
    the source portlet definition label criteria for the search. If the source portlet definition label is not a criteria in the search, `null` is returned. To determine whether the source portlet definition label is a criteria for the search, use the isSourcePortletDefinitionLabelCriteria() method.

### isSourcePortletInstanceLabelCriteria

    public boolean isSourcePortletInstanceLabelCriteria()

  Determines if source portlet instance label is a criteria for the search.

  Returns
    `true` if source portlet instance label is a criteria to be used, `false` if not.

### getSourcePortletInstanceLabelCriteria

    public String getSourcePortletInstanceLabelCriteria()

  Retrieves the source portlet instance label criteria for the search. Note that it is not possible to determine from this method whether the source portlet instance label is a criteria to be used; the isSourcePortletInstanceLabelCriteria() method can be used for that.

  Returns
    the source portlet instance label criteria for the search. If the source portlet instance label is not a criteria in the search, `null` is returned. To determine whether the source portlet instance label is a criteria for the search, use the isSourcePortletInstanceLabelCriteria() method.

### isSelfDestructCriteria

    public boolean isSelfDestructCriteria()

  Determines if self destruct status is a criteria for the search.

  Returns
    `true` if self destruct status is a criteria to be used, `false` if not.

### getSelfDestructCriteria

    public boolean getSelfDestructCriteria()

  Retrieves the self destruct status criteria for the search. Note that it is not possible to determine from this method whether the self destruct status is a criteria to be used; the isSelfDestructCriteria() method can be used for that.

  Returns
    the self destruct status criteria for the search. If the self destruct status is not a criteria in the search, `false` is returned. To determine whether the self destruct status is a criteria for the search, use the isSelfDestructCriteria() method.

### isActiveCriteria

    public boolean isActiveCriteria()

  Determines if active status is a criteria for the search.

  The active flag on a NotificationPayload object is lazily set by the framework, and is not guaranteed to be correct. The flag is set to `false` after a non-self-destructing notification payload expires if certain operations happen on the payload. It is used by the framework primarily as a performance enhancement and should probably not be relied upon as a notification criteria when performing searches. For a more accurate determination of whether a payload has expired, use the `setExpiresBefore()` method.

  Returns
    `true` if active status is a criteria to be used, `false` if not.

### getActiveCriteria

    public boolean getActiveCriteria()

  Retrieves the active status criteria for the search. Note that it is not possible to determine from this method whether the active status is a criteria to be used; the isActiveCriteria() method can be used for that.

  The active flag on a NotificationPayload object is lazily set by the framework, and is not guaranteed to be correct. The flag is set to `false` after a non-self-destructing notification payload expires if certain operations happen on the payload. It is used by the framework primarily as a performance enhancement and should probably not be relied upon as a notification criteria when performing searches. For a more accurate determination of whether a payload has expired, use the `setExpiresBefore()` method.

  Returns
    the active status criteria for the search. If the active status is not a criteria in the search, `false` is returned. To determine whether the active status is a criteria for the search, use the isActiveCriteria() method.

### isExpiresBeforeCriteria

    public boolean isExpiresBeforeCriteria()

  Determines if the time a notification expires before is a criteria for the search.

  Returns
    `true` if the time a notification expires before is a criteria to be used, `false` if not.

### getExpiresBeforeCriteria

    public Date getExpiresBeforeCriteria()

  Retrieves the time a notification expires before criteria for the search.

  Returns
    the time a notification expires before criteria for the search, or `null` if the time a notification expires before is not a criteria in the search.

### isExpiresAfterCriteria

    public boolean isExpiresAfterCriteria()

  Determines if the time a notification expires after is a criteria for the search.

  Returns
    `true` if the time a notification expires after is a criteria to be used, `false` if not.

### getExpiresAfterCriteria

    public Date getExpiresAfterCriteria()

  Retrieves the time a notification expires after criteria for the search.

  Returns
    the time a notification expires after criteria for the search, or `null` if the time a notification expires after is not a criteria in the search.

### isPayloadIdCriteria

    public boolean isPayloadIdCriteria()

  Determines if the payload ID is a criteria for the search.

  Returns
    `true` if the payload ID is a criteria to be used, `false` if not.

### getPayloadIdCriteria

    public NotificationPayloadId getPayloadIdCriteria()

  Retrieves the payload ID criteria for the search.

  Returns
    the payload ID criteria for the search, or `null` if the paylod ID is not a criteria in the search.

### copy

    public NotificationCriteria copy()

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.